<?php

namespace App\Models;

use App\Classes\Constants;

class Contact extends AbstractModel
{

    protected $table = 'contacts';

    protected $fillable = [
        'type', 'reference_id', 'name', 'designation', 'contact', 'email'
    ];

    public function companyContacts($query)
    {
        return $query->where('type', Constants::MODULE_TYPES['company']);
    }

}
